dsdot.f(3)

NAME
dsdot.f -

SYNOPSIS

  Functions/Subroutines
DOUBLE PRECISION function dsdot (N, SX, INCX, SY, INCY)
DSDOT

Function/Subroutine Documentation

  DOUBLE PRECISION function dsdot (integerN, real, dimension(*)SX, integerINCX, real, dimension(*)SY, integerINCY)

DSDOT Purpose:

     Compute the inner product of two vectors with extended
     precision accumulation and result.
     Returns D.P. dot product accumulated in D.P., for S.P. SX and SY
     DSDOT = sum for I = 0 to N-1 of  SX(LX+I*INCX) * SY(LY+I*INCY),
     where LX = 1 if INCX .GE. 0, else LX = 1+(1-N)*INCX, and LY is
     defined in a similar way using INCY.

Parameters:
    N

              N is INTEGER
             number of elements in input vector(s)

    SX

              SX is REAL array, dimension(N)
             single precision vector with N elements

    INCX

              INCX is INTEGER
              storage spacing between elements of SX

    SY

              SY is REAL array, dimension(N)
             single precision vector with N elements

    INCY

              INCY is INTEGER
             storage spacing between elements of SY

Returns:
    DSDOT

              DSDOT is DOUBLE PRECISION
             DSDOT  double precision dot product (zero if N.LE.0)

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    November 2011

Further Details:

References:

      C. L. Lawson, R. J. Hanson, D. R. Kincaid and F. T.
      Krogh, Basic linear algebra subprograms for Fortran
      usage, Algorithm No. 539, Transactions on Mathematical
      Software 5, 3 (September 1979), pp. 308-323.
      REVISION HISTORY  (YYMMDD)
      791001  DATE WRITTEN
      890831  Modified array declarations.  (WRB)
      890831  REVISION DATE from Version 3.2
      891214  Prologue converted to Version 4.0 format.  (BAB)
      920310  Corrected definition of LX in DESCRIPTION.  (WRB)
      920501  Reformatted the REFERENCES section.  (WRB)
      070118  Reformat to LAPACK style (JL)

Definition at line 120 of file dsdot.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.